Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class XDocumentActMood

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.XDocumentActMood

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class XDocumentActMood

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'XDocument Act Mood', and utility methods for working with them. abstDomain: V19458 (C-0-D10196-V19458-cpt)

See Also:
  `CDAR2Package.getXDocumentActMood()`

Field Summary
`static int` | `APT` The 'APT' literal value.
`static XDocumentActMood` | `APT_LITERAL` The 'APT' literal object.
`static int` | `ARQ` The 'ARQ' literal value.
`static XDocumentActMood` | `ARQ_LITERAL` The 'ARQ' literal object.
`static int` | `DEF` The 'DEF' literal value.
`static XDocumentActMood` | `DEF_LITERAL` The 'DEF' literal object.
`static int` | `EVN` The 'EVN' literal value.
`static XDocumentActMood` | `EVN_LITERAL` The 'EVN' literal object.
`static int` | `INT` The 'INT' literal value.
`static XDocumentActMood` | `INT_LITERAL` The 'INT' literal object.
`static int` | `PRMS` The 'PRMS' literal value.
`static XDocumentActMood` | `PRMS_LITERAL` The 'PRMS' literal object.
`static int` | `PRP` The 'PRP' literal value.
`static XDocumentActMood` | `PRP_LITERAL` The 'PRP' literal object.
`static int` | `RQO` The 'RQO' literal value.
`static XDocumentActMood` | `RQO_LITERAL` The 'RQO' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'XDocument Act Mood' enumerators.

Method Summary
`static XDocumentActMood` | `get(int value)` Returns the 'XDocument Act Mood' literal with the specified integer value.
`static XDocumentActMood` | `get(java.lang.String literal)` Returns the 'XDocument Act Mood' literal with the specified literal value.
`static XDocumentActMood` | `getByName(java.lang.String name)` Returns the 'XDocument Act Mood' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INT

    public static final int INT

  The 'INT' literal value.

  If the meaning of 'INT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `INT_LITERAL`, Constant Field Values

### APT

    public static final int APT

  The 'APT' literal value.

  If the meaning of 'APT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `APT_LITERAL`, Constant Field Values

### ARQ

    public static final int ARQ

  The 'ARQ' literal value.

  If the meaning of 'ARQ' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ARQ_LITERAL`, Constant Field Values

### DEF

    public static final int DEF

  The 'DEF' literal value.

  If the meaning of 'DEF' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DEF_LITERAL`, Constant Field Values

### EVN

    public static final int EVN

  The 'EVN' literal value.

  If the meaning of 'EVN' literal object isn't clear, there really should be more of a description here...

  See Also:
    `EVN_LITERAL`, Constant Field Values

### PRMS

    public static final int PRMS

  The 'PRMS' literal value.

  If the meaning of 'PRMS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PRMS_LITERAL`, Constant Field Values

### PRP

    public static final int PRP

  The 'PRP' literal value.

  If the meaning of 'PRP' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PRP_LITERAL`, Constant Field Values

### RQO

    public static final int RQO

  The 'RQO' literal value.

  If the meaning of 'RQO' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RQO_LITERAL`, Constant Field Values

### INT_LITERAL

    public static final XDocumentActMood INT_LITERAL

  The 'INT' literal object.

  See Also:
    `INT`

### APT_LITERAL

    public static final XDocumentActMood APT_LITERAL

  The 'APT' literal object.

  See Also:
    `APT`

### ARQ_LITERAL

    public static final XDocumentActMood ARQ_LITERAL

  The 'ARQ' literal object.

  See Also:
    `ARQ`

### DEF_LITERAL

    public static final XDocumentActMood DEF_LITERAL

  The 'DEF' literal object.

  See Also:
    `DEF`

### EVN_LITERAL

    public static final XDocumentActMood EVN_LITERAL

  The 'EVN' literal object.

  See Also:
    `EVN`

### PRMS_LITERAL

    public static final XDocumentActMood PRMS_LITERAL

  The 'PRMS' literal object.

  See Also:
    `PRMS`

### PRP_LITERAL

    public static final XDocumentActMood PRP_LITERAL

  The 'PRP' literal object.

  See Also:
    `PRP`

### RQO_LITERAL

    public static final XDocumentActMood RQO_LITERAL

  The 'RQO' literal object.

  See Also:
    `RQO`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'XDocument Act Mood' enumerators.

Method Detail

### get

    public static XDocumentActMood get(java.lang.String literal)

  Returns the 'XDocument Act Mood' literal with the specified literal value.

### getByName

    public static XDocumentActMood getByName(java.lang.String name)

  Returns the 'XDocument Act Mood' literal with the specified name.

### get

    public static XDocumentActMood get(int value)

  Returns the 'XDocument Act Mood' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD